---

- name: Zammad NGINX {{ansible_distribution}} {{ansible_distribution_release}} | Config Datei erstellen
  ansible.builtin.template: 
    src="{{ role_path }}/templates/zammad_ssl.conf.j2" 
    dest=/etc/nginx/sites-enabled/zammad-ssl.conf

- name: Zammad NGINX {{ansible_distribution}} {{ansible_distribution_release}} | zammad.conf löschen
  file:
    path: /etc/nginx/sites-enabled/zammad.conf
    state: absent

- name: Zammad NGINX {{ansible_distribution}} {{ansible_distribution_release}} | Ordner erstellen
  file:
    path: /etc/nginx/ssl
    state: directory

- name: Zammad NGINX {{ansible_distribution}} {{ansible_distribution_release}} | dhparam.pem erstellen
  command: openssl dhparam -out /etc/nginx/ssl/dhparam.pem 4096

- name: Zammad NGINX {{ansible_distribution}} {{ansible_distribution_release}} | Starte Services
  ansible.builtin.systemd:
    name: "{{ item }}"
    state: restarted
    enabled: yes
  with_items:
    - 'nginx'